# Class ConfirmPaymentReceivedRequest

#### Hierarchy

- unknown
  - ConfirmPaymentReceivedRequest

- Defined in src/protobuf/grpc_pb.d.ts:2464
- Defined in src/protobuf/grpc_pb.d.ts:2476

#####
Index

### Constructors

constructor

### Methods

getTradeId
serializeBinary
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ConfirmPaymentReceivedRequest(): ConfirmPaymentReceivedRequest

- #### Returns ConfirmPaymentReceivedRequest

  Inherited from jspb.Message.constructor

## Methods

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2465

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2468

### setTradeId

- setTradeId(value: string): ConfirmPaymentReceivedRequest

- #### Parameters

  - ##### value: string

  #### Returns ConfirmPaymentReceivedRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2466

### toObject

- toObject(includeInstance?: boolean): ConfirmPaymentReceivedRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ConfirmPaymentReceivedRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2469

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ConfirmPaymentReceivedRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ConfirmPaymentReceivedRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2472

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ConfirmPaymentReceivedRequest, reader: BinaryReader): ConfirmPaymentReceivedRequest

- #### Parameters

  - ##### message: ConfirmPaymentReceivedRequest

  - ##### reader: BinaryReader

  #### Returns ConfirmPaymentReceivedRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2473

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ConfirmPaymentReceivedRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ConfirmPaymentReceivedRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2471

### `Static` toObject

- toObject(includeInstance: boolean, msg: ConfirmPaymentReceivedRequest): ConfirmPaymentReceivedRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ConfirmPaymentReceivedRequest

  #### Returns ConfirmPaymentReceivedRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2470

Generated using TypeDoc